//datablock AudioDescription(MASTransportLooping3d)
//{
//   volume   = 50000;
//   isLooping= true;

//   is3D     = true;
//   ReferenceDistance= 25;
//   MaxDistance= 600.0;
//   type     = $SimAudioType;
//};
datablock AudioProfile(MASTransportSound)
{
	filename    = "./heli3.wav";
	description = AudioDefaultLooping3d;
	preload = true;
};


//datablock AudioProfile(GunshipfireSound)
//{
// filename    = "./f18fire.WAV";
//  description = AudioDefault3d;
//   preload = true;
//};
//datablock DebrisData(GunshipDebris)
//{
//   emitters = "jeepDebrisTrailEmitter";

//	shapeFile = "./gunship.dts";
//	lifetime = 3.0;
//	minSpinSpeed = -100.0;
//	maxSpinSpeed = 100.0;
//	elasticity = 0.5;
//	friction = 0.2;
//	numBounces = 1;
//	staticOnMaxBounce = true;
//	snapOnMaxBounce = false;
//	fade = true;

//	gravModifier = 3;
//};
//datablock ExplosionData(MASTransportFinalExplosion)
//{
   //explosionShape = "";
//   lifeTimeMS = 150;

//   soundProfile = vehicleExplosionSound;
   
//   emitter[0] = vehicleFinalExplosionEmitter3;
//   emitter[1] = vehicleFinalExplosionEmitter2;

//   particleEmitter = vehicleFinalExplosionEmitter;
//   particleDensity = 20;
//   particleRadius = 1.0;

//   debris = GunshipDebris;
//   debrisNum = 1;
//   debrisNumVariance = 0;
//   debrisPhiMin = 0;
//   debrisPhiMax = 360;
//   debrisThetaMin = 0;
//   debrisThetaMax = 50;
//   debrisVelocity = 15;
//   debrisVelocityVariance = 3;

//   faceViewer     = true;
//   explosionScale = "1 1 1";

//   shakeCamera = true;
//   camShakeFreq = "9.0 11.0 9.0";
//   camShakeAmp = "10.0 10.0 10.0";
//   camShakeDuration = 0.75;
//   camShakeRadius = 25.0;
//
//   // Dynamic light
//   lightStartRadius = 0;
//   lightEndRadius = 20;
//   lightStartColor = "0.45 0.3 0.1";
//   lightEndColor = "0 0 0";

   //impulse
//   impulseRadius = 15;
//   impulseForce = 1000;
//   impulseVertical = 2000;

   //radius damage
//   radiusDamage        = 200;
//   damageRadius        = 15;

   //burn the players?
//   playerBurnTime = 5000;

//};

//datablock ProjectileData(MASTransportFinalExplosionProjectile)
//{
//   directDamage        = 0;
//   radiusDamage        = 0;
//   damageRadius        = 0;
//   explosion           = MASTransportFinalExplosion;

//   directDamageType  = $DamageType::jeepExplosion;
//   radiusDamageType  = $DamageType::jeepExplosion;

 //  explodeOnDeath		= 1;

//   armingDelay         = 0;
//   lifetime            = 10;
//};

datablock FlyingVehicleData(MASTransportVehicle)
{
   //Tagged fields for mission editor
      category = "Vehicles";
      displayName = " ";

   //Shapebase Fields
      shapeFile   = "./transport5.dts";  
      emap        = true;
      mass        = 380;
      drag        = 2.1;
      density     = 10;
      
      maxDamage = 280.00;
      destroyedLevel = 280.00;
      energyPerDamagePoint = 160;
      speedDamageScale = 1.04;
      collDamageThresholdVel = 20.0;
      collDamageMultiplier   = 0.02;

   //Tagged fields for mounting
      minMountDist = 7;   
      numMountPoints = 7;
      mountThread[0] = "sit";
      mountThread[1] = "sit";
      mountThread[2] = "sit";
      mountThread[3] = "sit";
      mountThread[4] = "sit";
      mountThread[5] = "sit";
      mountThread[6] = "sit";

		lookUpLimit = 0.50;
		lookDownLimit = 0.65; //0.55

	//protection for passengers
	protectPassengersBurn   = true;  //protect passengers from burning?
	protectPassengersRadius = true;  //protect passengers from radius damage?
	protectPassengersDirect = true; //protect passengers from direct damage?

	//Vehicle Fields:
      jetForce          = 4000;
      jetEnergyDrain    = 0;
      minJetEnergy      = 1;

      massCenter        = "0 0 0";
      //massBox           = "1 1 1";
      bodyRestitution   = 0.2;
      bodyFriction      = 1.0;
      //softImpactSound   = ; //AudioProfile
      //hardImpactSound   = ; //AudioProfile

      minImpactSpeed    = 25;
      softImpactSpeed   = 25;
      hardImpactSpeed   = 55;
      minRollSpeed      = 20;
      maxSteeringAngle  = 0.785;

      maxDrag        = 40;
      minDrag        = 30;
      integration    = 4;
      collisionTol   = 0.1;
      contactTol     = 0.1;

      cameraRoll     = false;
      cameraMaxDist  = 16;        
      cameraLag      = 5.0;
      cameraDecay    = 0.0;
      cameraOffset   = 5.5;
      cameraTilt     = 0.0;

      //dustEmitter       = ; //ParticleEmitterData
//      triggerDustHeight = 3.0;
//      dustHeight        = 1.0;

      numDmgEmitterAreas   = 1;
      
      damageEmitter[0] = vehicleBurnEmitter;
      damageEmitterOffset[0] = "0.0 0.0 0.0 ";
      damageLevelTolerance[0] = 0.99;

      damageEmitter[1] = vehicleBurnEmitter;
      damageEmitterOffset[1] = "0.0 0.0 0.0 ";
      damageLevelTolerance[1] = 1.0;

      //splashEmitter[0]        = ; //ParticleEmitterData

      splashFreqMod     = 300.0;
      splashVelEpsilon  = 0.50;

      exitSplashSoundVelocity    = 2.0;
      softSplashSoundVelocity    = 1.0;
      mediumSplashSoundVelocity  = 2.0;
      hardSplashSoundVelocity    = 3.0;

      collDamageThresholdVel  = 20;
      collDamageMultiplier    = 0.05;

   //For Wrench Gui
      uiName   = "MAS Transport";
      rideAble = true;
      paintable = true;
		
   //Flying vehicle fields
      //jetSound = ;      //AudioProfile
      //engineSound = ;   //AudioProfile

	maxForwardVel		= 8;
	maxReverseVel		= 5;

//	pitchForce		= 2000;

maneuveringForce = 5500; // Horizontal jets (W,S,D,A key thrust) 
horizontalSurfaceForce = 50; // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning) 
verticalSurfaceForce = 160; // Vertical center "wing" (controls side slip. lower numbers make MORE slide.) 
autoInputDamping = 1; // Dampen control input so you don't` whack out at very slow speeds 
steeringForce = 6000; // Steering jets (force applied when you move the mouse) 
steeringRollForce = 50; // Steering jets (how much you heel over when you turn) 5
rollForce = 1; // Auto-roll (self-correction to right you after you roll/invert) 
autoAngularForce = 6000; // Angular stabilizer force (this force levels you out when autostabilizer kicks in) 
rotationalDrag = 80; // Anguler Drag (dampens the drift after you stop moving the mouse...also tumble drag)
autoLinearForce = 1500; // Linear stabilzer force (this slows you down when autostabilizer kicks in) 
maxAutoSpeed = 14; // Autostabilizer kicks in when less than this speed. (meters/second) 
hoverHeight = 0; // Height off the ground at rest 
createHoverHeight = 1; // Height off the ground when created

      //forwardJetEmitter    = ; //ParticleEmitterData
      //backwardJetEmitter   = ; //ParticleEmitterData
      //downJetEmitter       = ; //ParticleEmitterData
      //trailEmitter         = ; //ParticleEmitterData

//      minTrailSpeed        = 1;
      vertThrustMultiple   = 1.0;
   
   //Tagged fields for damage
      initialExplosionProjectile = VehicleExplosionProjectile;
      initialExplosionOffset = 0;         //offset only uses a z value for now

      burnTime = 400;

      finalExplosionProjectile = MAStransportFinalExplosionProjectile;
      finalExplosionOffset = 0.5;          //offset only uses a z value for now

      minRunOverSpeed    = 10;   //how fast you need to be going to run someone over (do damage)
      runOverDamageScale = 6;   //when you run over someone, speed * runoverdamagescale = damage amt
      runOverPushScale   = 3; //how hard a person you're running over gets pushed

	heightcontrol= 1;			//Enables the heightcontrol support for this vehicle
	ascendVelocity= 0.95;		//The velocity it adds when a user presses/holds the jumpkey
	descendVelocity= -0.80;		//The velocity it extracts when a user presses/holds the jumpkey

};


function MASTransportVehicle::onadd(%this,%obj)
{ 
	%obj.playThread(0, "root_spin2");
	%obj.PlayAudio(0,MASTransportSound);
//	parent::onadd(%this,%obj);
}

//function MASTransportVehicle::onTrigger(%this,%obj,%client) { %obj.setVelocity(vectorAdd(%obj.getVelocity(),"0 0 0.8")); }
